Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1046690

Summary: Review Request: libwapcaplet - a string internment library
Product: [Fedora] Fedora Reporter: David Tardon <dtardon>
Component: Package ReviewAssignee: Christopher Meng <i>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: dtardon, i, package-review, ville.skytta
Target Milestone: ---Keywords: Reopened
Target Release: ---Flags: i: fedora-review+
gwync: fedora-cvs+
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-01-08 09:55:16 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1046688    
Bug Blocks: 496968, 1046692    

Description David Tardon 2013-12-26 15:21:09 UTC
Spec URL: http://dtardon.fedorapeople.org/rpm/libwapcaplet.spec
SRPM URL: http://dtardon.fedorapeople.org/rpm/libwapcaplet-0.2.0-1.fc20.src.rpm
Description:
LibWapcaplet is a string internment library, written in C. It provides reference counted string interment and rapid string comparison functionality. It was developed as part of the NetSurf project

Fedora Account System Username: dtardon

Comment 1 Christopher Meng 2014-01-04 03:32:22 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 5 files have unknown license. Detailed output of
     licensecheck:

Unknown or generated
--------------------
libwapcaplet-0.2.0/include/libwapcaplet/libwapcaplet.h
libwapcaplet-0.2.0/src/libwapcaplet.c
libwapcaplet-0.2.0/test/basictests.c
libwapcaplet-0.2.0/test/testmain.c
libwapcaplet-0.2.0/test/tests.h

---> Better tell upstream.

[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: libwapcaplet-0.2.0-1.fc21.i686.rpm
          libwapcaplet-devel-0.2.0-1.fc21.i686.rpm
          libwapcaplet-0.2.0-1.fc21.src.rpm
libwapcaplet.i686: W: spelling-error %description -l en_US licence -> license, lenience, lice
libwapcaplet.i686: W: spelling-error %description -l en_US readme -> reamed, remade, read me
libwapcaplet-devel.i686: W: no-documentation
libwapcaplet.src: W: spelling-error %description -l en_US licence -> license, lenience, lice
libwapcaplet.src: W: spelling-error %description -l en_US readme -> reamed, remade, read me
3 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint libwapcaplet libwapcaplet-devel
libwapcaplet.i686: W: spelling-error %description -l en_US licence -> license, lenience, lice
libwapcaplet.i686: W: spelling-error %description -l en_US readme -> reamed, remade, read me
libwapcaplet-devel.i686: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
libwapcaplet (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6
    rtld(GNU_HASH)

libwapcaplet-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libwapcaplet(x86-32)
    libwapcaplet.so.0



Provides
--------
libwapcaplet:
    libwapcaplet
    libwapcaplet(x86-32)
    libwapcaplet.so.0

libwapcaplet-devel:
    libwapcaplet-devel
    libwapcaplet-devel(x86-32)
    pkgconfig(libwapcaplet)



Source checksums
----------------
http://download.netsurf-browser.org/libs/releases/libwapcaplet-0.2.0-src.tar.gz :
  CHECKSUM(SHA256) this package     : 5fb49841ba335b0c7a1420d92c3a60480df63696c50353c02724aa8c6b45cb24
  CHECKSUM(SHA256) upstream package : 5fb49841ba335b0c7a1420d92c3a60480df63696c50353c02724aa8c6b45cb24


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/bin/fedora-review -rvn libwapcaplet-0.2.0-1.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: BATCH, EPEL5, EXARCH, DISTTAG

----------------
PACKAGE APPROVED.

Comment 2 David Tardon 2014-01-04 07:32:35 UTC
New Package SCM Request
=======================
Package Name: libwapcaplet
Short Description: A string internment library
Owners: dtardon caolanm
Branches: 
InitialCC:

Comment 3 Gwyn Ciesla 2014-01-06 13:30:43 UTC
Git done (by process-git-requests).

Comment 4 Ville Skyttä 2014-01-07 19:00:32 UTC
(In reply to Christopher Meng from comment #1)
> [x]: Useful -debuginfo package or justification otherwise.

It's not useful nor there is justification otherwise -- the package is not built with $RPM_OPT_FLAGS. One way to fix it:

-make %{?_smp_mflags} %{make_vars}
+CFLAGS="$RPM_OPT_FLAGS" make %{make_vars}

Comment 5 Ville Skyttä 2014-01-07 19:01:47 UTC
(In reply to Ville Skyttä from comment #4)

Oops, meant

-make %{?_smp_mflags} %{make_vars}
+CFLAGS="$RPM_OPT_FLAGS" make %{?_smp_mflags} %{make_vars}

Comment 6 Christopher Meng 2014-01-08 04:48:00 UTC
Oh...Sorry, I forgot to say about compiler flags...

David, all of these netsurf packages seem don't value the optflags and ldflags, please fix.

Comment 7 Christopher Meng 2014-08-14 04:43:13 UTC
Package Change Request
======================
Package Name: libwapcaplet
New Branches: f20
Owners: dtardon caolanm cicku

Comment 8 Gwyn Ciesla 2014-08-14 11:49:30 UTC
Git done (by process-git-requests).